* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #fff;
  justify-content: center;
  font-family: "Ubuntu", sans-serif;
}

@media screen and (max-width: 634px) {
  .main {
    padding: 20px;
  }

  .footer {
    padding: 20px;
  }
}

@media screen and (min-width: 635px) {
  .main {
    padding: 20px 80px;
  }

  .footer {
    padding: 20px 64px 20px 80px;
  }
}

@media screen and (min-width: 768px) {
  .frame {
    padding: 30px 20px;
  }

  .header {
    justify-content: left;
  }

  .main {
    display: flex;
    max-width: 800px;
  }

  .main-pokemon,
  .main-attributes {
    width: 50%;
  }

  .main-pokemon {
    margin: 0 30px 0 0;
  }

  .main-attributes {
    padding: 20px;
  }

  .main-attributes__text {
    width: 50%;
    padding: 20px 0px;
  }

  .main-attributes__subtitle {
    font-size: 20px;
  }

  .footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .footer__title {
    margin: 0 16px;
  }
}

@media screen and (max-width: 767px) {
  .frame {
    padding: 20px 8px;
  }

  .header {
    justify-content: center;
  }

  .main-pokemon {
    margin: 0;
  }

  .main-attributes {
    top: -65px;
    position: relative;
    z-index: -1;
    padding: 60px 20px 20px 20px;
    margin-bottom: -65px;
  }

  .main-attributes__text {
    width: 100%;
    padding-bottom: 10px;
    display: flex;
    justify-content: space-between;
  }

  .main-attributes__title,
  .main-attributes__subtitle {
    width: 50%;
    text-align: start;
  }

  .main-attributes__title {
    margin-right: 10px;
  }

  .footer {
    display: block;
  }

  .footer__section {
    margin-top: 10px;
  }

  .footer__buttons {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
  }
}

.frame {
  background: #c5c5c5;
  border-radius: 10px;
  margin: 10px;
}

.container {
  display: flex;
  flex-direction: column;
  border-radius: 20px;
  background: #d3d3d3;
  border: 1px solid #808080;
  margin: 5px;
}

body,
.header,
.main-pokemon__header {
  display: flex;
  align-items: center;
}

.header {
  padding: 8px 16px;
  background: #808080;
  color: #ffffff;
  height: 50px;
  border-radius: 20px 20px 0 0;
}

.header__image {
  height: 30px;
  width: 30px;
  margin-right: 10px;
}

.header__title {
  text-transform: uppercase;
  font-size: 30px;
}

.main {
  margin: auto;
  z-index: 10000;
}

.main-pokemon {
  text-align: center;
}

.main-pokemon__header {
  margin: 0px auto 16px;
  background: white;
  padding: 5px 10px;
  border-radius: 10px;
  justify-content: center;
  height: 50px;
}

.main-pokemon__icon {
  font-size: 25px;
  margin-right: 16px;
  color: orangered;
}

.main-pokemon__title {
  text-transform: uppercase;
}

.main-pokemon__img {
  width: 300px;
  text-align: center;
  max-width: 100%;
}

.main-attributes {
  border-radius: 20px;
  background: #fff;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  align-content: space-around;
}

.main-attributes__text {
  text-align: center;
  font-size: 20px;
}

.main-attributes__title {
  text-transform: uppercase;
}

.main-attributes__subtitle {
  margin: 0;
  color: orangered;
}

.footer {
  background: #fff;
  text-align: center;
  border-radius: 0 0 20px 20px;
}

.footer__title {
  text-align: center;
}

.footer__btn {
  border-radius: 10px;
  padding: 5px;
  background: rgba(255, 44, 0, 0.5);
  cursor: pointer;
  border: none;
  margin: 8px 16px;
}

.footer__btn:hover {
  box-shadow: 0 0 5px orangered;
  background: orangered;
}

.footer__btn:hover .footer__image {
  transform: rotateY(360deg);
  transition: 0.5s;
}

.footer__image {
  width: 70px;
  height: 70px;
}
